package java.awt.peer;

import java.awt.im.InputMethodRequests;

public interface TextComponentPeer extends ComponentPeer
{
    public abstract void setEditable(boolean p0);
    
    public abstract String getText();
    
    public abstract void setText(String p0);
    
    public abstract int getSelectionStart();
    
    public abstract int getSelectionEnd();
    
    public abstract void select(int p0, int p1);
    
    public abstract void setCaretPosition(int p0);
    
    public abstract int getCaretPosition();
    
    public abstract InputMethodRequests getInputMethodRequests();
}
